package web.service;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

import persistence.model.Assunto;

public class AssuntoServiceImpl implements AssuntoService {
	
	public List<Assunto> getAllAssuntos() {
		List<Assunto> assuntos = new ArrayList<Assunto>();
		
		try {
			PreparedStatement ps = getConnection().prepareStatement("select * from assunto");				
			
			ResultSet rs = ps.executeQuery();
			
			while (rs.next()) {

				Assunto assunto = new Assunto();				
				assunto.setAssuntoId(rs.getLong(1));					
				assunto.setNome(rs.getString(2));
				assunto.setCompeticao(rs.getString(3));
				
				assuntos.add(assunto);
			}
			return assuntos;
			
		} catch (SQLException e) {
			throw new RuntimeException(e);
		}		
		
	}

	private Connection getConnection() {
		return ConnectionFactory.getInstance().getConnection();
	}

	public Assunto findByID(Long id) {
		try {
			PreparedStatement ps = getConnection().prepareStatement("select * from assunto where id = ?");			
			ps.setLong(1, id);
			
			ResultSet rs = ps.executeQuery();
			
			rs.next();
			
			Assunto assunto = new Assunto();
			
			assunto.setAssuntoId(rs.getLong(1));					
			assunto.setNome(rs.getString(2));
			assunto.setCompeticao(rs.getString(3));	
			
			return assunto;
			
		} catch (SQLException e) {
			throw new RuntimeException(e);
		}
	}

}
