package web.service;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

import persistence.model.Avaliacao;

public class AvaliacaoServiceImpl implements
		AvaliacaoService {

	public void addAvaliacao(Avaliacao avaliacao) {
		try {
			PreparedStatement ps = getConnection()
					.prepareStatement("insert into avaliacao (id_noticia, id_usuario, ponto) values (?, ?, ?)");
			
			ps.setLong(1, avaliacao.getNoticia().getIdNoticia());
			ps.setInt(2, avaliacao.getUsuario().getIdUsuario());
			ps.setInt(3, avaliacao.getPontos());
			
			ps.execute();			
			
		} catch (SQLException e) {			
			throw new RuntimeException(e);
		}	

	}
	
	public boolean avaliacaoExists(int usuarioId, Long noticiaId) {
		try {
			PreparedStatement ps = getConnection()
			.prepareStatement("select * from avaliacao where id_noticia = ? and id_usuario = ?");
	
			ps.setLong(1, noticiaId);
			ps.setInt(2, usuarioId);
			
			ResultSet rs = ps.executeQuery();
			
			return rs.next();
			
		} catch (SQLException e) {
			throw new RuntimeException(e);
		}
	}
	
	private Connection getConnection() {
		return ConnectionFactory.getInstance().getConnection();
	}
	
}
