package web.service;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

import persistence.model.Contato;

public class ContatoServiceImpl implements ContatoService {

	public void addContato(Contato Contato) {
		try {
			PreparedStatement ps = getConnection()
					.prepareStatement("insert into contato (id_usuario, titulo, texto) values (? , ?, ?)");
			
			ps.setInt(1, Contato.getUsuario().getIdUsuario());
			ps.setString(2, Contato.getTitulo());
			ps.setString(3, Contato.getTexto());
			
			ps.execute();			
			
		} catch (SQLException e) {			
			throw new RuntimeException(e);
		}						

	}

	public Contato findByID(long id) {
		
		try {
			PreparedStatement ps = getConnection().prepareStatement("select * from contato where id = ?");			
			ps.setLong(1, id);
			
			ResultSet rs = ps.executeQuery();
			
			rs.next();
			
			Contato Contato = new Contato();
			
			Contato.setTitulo(rs.getString(3));
			Contato.setTexto(rs.getString(4));		
			
			return Contato;
			
		} catch (SQLException e) {
			throw new RuntimeException(e);
		}
		
	}
	
	private Connection getConnection() {
		return ConnectionFactory.getInstance().getConnection();
	}
	
}
