package web.service;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

import persistence.model.Usuario;

public class UsuarioServiceImpl implements UsuarioService {

	public void addUsuario(Usuario usuario) {
		
		try {
			PreparedStatement ps = getConnection()
					.prepareStatement("insert into usuario (login, senha, email) values (? , ?, ?)");
			
			ps.setString(1, usuario.getLogin());
			ps.setString(2, usuario.getSenha());
			ps.setString(3, usuario.getEmail());
			
			ps.execute();			
			
		} catch (SQLException e) {		
			throw new RuntimeException(e);
		}

	}
	
	
	public Usuario findByLoginAndSenha(String login, String senha) {
		try {
			PreparedStatement ps = getConnection().prepareStatement("select * from usuario where login = ? and senha = ?");			
			ps.setString(1, login);
			ps.setString(2, senha);
			
			ResultSet rs = ps.executeQuery();
			
			boolean exists = rs.next();
			
			if(!exists) return null;
			
			Usuario usuario = new Usuario();
			
			usuario.setIdUsuario(rs.getInt(1));
			usuario.setLogin(rs.getString(2));
			usuario.setSenha(rs.getString(3));
			usuario.setEmail(rs.getString(4));
						
			return usuario;
			
		} catch (SQLException e) {
			throw new RuntimeException(e);
		}
		
		
	}
	
	
	public Usuario findByLogin(String login) {
		try {
			PreparedStatement ps = getConnection().prepareStatement("select * from usuario where login = ?");			
			ps.setString(1, login);		
			
			ResultSet rs = ps.executeQuery();
			
			boolean exists = rs.next();
			
			if(!exists) return null;
			
			Usuario usuario = new Usuario();
			
			usuario.setIdUsuario(rs.getInt(1));
			usuario.setLogin(rs.getString(2));
			usuario.setSenha(rs.getString(3));
			usuario.setEmail(rs.getString(4));
						
			return usuario;
			
		} catch (SQLException e) {
			throw new RuntimeException(e);
		}
		
		
	}
	
	public Usuario findById(long id) {
		
		try {
			PreparedStatement ps = getConnection().prepareStatement("select * from usuario where id = ?");			
			ps.setLong(1, id);		
			
			ResultSet rs = ps.executeQuery();
			
			boolean exists = rs.next();
			
			if(!exists) return null;
			
			Usuario usuario = new Usuario();
			
			usuario.setIdUsuario(rs.getInt(1));
			usuario.setLogin(rs.getString(2));
			usuario.setSenha(rs.getString(3));
			usuario.setEmail(rs.getString(4));
						
			return usuario;
			
		} catch (SQLException e) {
			throw new RuntimeException(e);
		}
		
	}

	private Connection getConnection() {
		return ConnectionFactory.getInstance().getConnection();
	}

}
