package web.servlet;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import persistence.model.Usuario;

/**
 * Servlet implementation class ListNoticias
 */
public class NovaAvaliacao extends HttpServlet {
	private static final long serialVersionUID = 1L;
	private List<String> errors;
	
    /**
     * @see HttpServlet#HttpServlet()
     */
    public NovaAvaliacao() {
        super();
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		doAction(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		doAction(request, response);
	}
	
	protected void doAction(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		Usuario usuario = (Usuario) request.getSession().getAttribute("Usuario");
		errors = new ArrayList<String>();

		if (usuario != null) {
			RequestDispatcher dispatcher = request.getRequestDispatcher("jsp/avaliaNoticia.jsp");
			dispatcher.forward(request, response);
		}
		else {
			errors.add("Usurio no autenticado");
			request.setAttribute("errors", errors);
			RequestDispatcher dispatcher = request.getRequestDispatcher("index.jsp");
			dispatcher.forward(request, response);
		}
	}	
}
